<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Data Structures</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the data structures with brief descriptions:</div><div class="directory">
<table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n___m_c_a_n_msg_obj_cfg_params__t.html" target="_self">CAN_MCANMsgObjCfgParams_t</a></td><td class="desc">Parameters used to configure the receive and transmit message objects </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html" target="_self">CANFD_DriverMCB_t</a></td><td class="desc">CANFD Master Control Block </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___err_status_resp__t.html" target="_self">CANFD_ErrStatusResp_t</a></td><td class="desc">Response structure definition for Error and status information </td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___hw_cfg__t.html" target="_self">CANFD_HwCfg_t</a></td><td class="desc">CANFD Hardware Atrributes </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_bit_timing_params__t.html" target="_self">CANFD_MCANBitTimingParams_t</a></td><td class="desc">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_config_params__t.html" target="_self">CANFD_MCANECCConfigParams_t</a></td><td class="desc">Data structure defines the MCAN ECC configuration parameters </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_force_params__t.html" target="_self">CANFD_MCANECCErrForceParams_t</a></td><td class="desc">Data structure defines the ECC Error forcing </td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_e_c_c_err_status__t.html" target="_self">CANFD_MCANECCErrStatus_t</a></td><td class="desc">Data structure defines the ECC Error Status </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_err_cnt_status__t.html" target="_self">CANFD_MCANErrCntStatus_t</a></td><td class="desc">Data structure defines the MCAN error logging counters status </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_global_filt_config__t.html" target="_self">CANFD_MCANGlobalFiltConfig_t</a></td><td class="desc">Data structure defines the MCAN Global Filter Configuration parameters </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_init_params__t.html" target="_self">CANFD_MCANInitParams_t</a></td><td class="desc">Data structure defines the MCAN initialization parameters </td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_loopback_cfg_params__t.html" target="_self">CANFD_MCANLoopbackCfgParams_t</a></td><td class="desc">Data structure defines the MCAN Loopback parameters </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html" target="_self">CANFD_MCANMsgObjectStats_t</a></td><td class="desc">Data structure defines the software maintained message object statistics </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_r_a_m_cfg_params__t.html" target="_self">CANFD_MCANMsgRAMCfgParams_t</a></td><td class="desc">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer) </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_protocol_status__t.html" target="_self">CANFD_MCANProtocolStatus_t</a></td><td class="desc">Data structure defines the MCAN protocol status </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___m_c_a_n_tdc_config__t.html" target="_self">CANFD_MCANTdcConfig_t</a></td><td class="desc">Data structure defines the MCAN Transmitter Delay Compensation parameters </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___message_object__t.html" target="_self">CANFD_MessageObject_t</a></td><td class="desc">CAN message object block </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_c_a_n_f_d___option_t_l_v__t.html" target="_self">CANFD_OptionTLV_t</a></td><td class="desc">Options TLV data structure </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___bit_timing_params__t.html" target="_self">MCAN_BitTimingParams_t</a></td><td class="desc">Data structure defines the parameters for bit timing calculation. Bit timing related to data phase will be valid only in case where MCAN is put in CANFD mode and will be '0' otherwise </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___config_params__t.html" target="_self">MCAN_ConfigParams_t</a></td><td class="desc">Data structure defines the MCAN configuration parameters </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___e_c_c_aggr_revision_id__t.html" target="_self">MCAN_ECCAggrRevisionId_t</a></td><td class="desc">Data structure defines the accessing Revision ID of ECC AGGR </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___e_c_c_wrap_revision_id__t.html" target="_self">MCAN_ECCWrapRevisionId_t</a></td><td class="desc">Data structure defines the accessing Revision ID of ECC wrapper </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___ext_msg_i_d_filter_element__t.html" target="_self">MCAN_ExtMsgIDFilterElement_t</a></td><td class="desc">Data structure defines the MCAN Extended Message ID Filter Element </td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___high_priority_msg_info__t.html" target="_self">MCAN_HighPriorityMsgInfo_t</a></td><td class="desc">Data structure defines the MCAN High Priority Message </td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___msg_r_a_m_config_params__t.html" target="_self">MCAN_MsgRAMConfigParams_t</a></td><td class="desc">Data structure defines the MCAN Message RAM Configuration Parameters. Message RAM can contain following sections: Standard ID filters, Extended ID filters, TX FIFO(or TX Q), TX Buffers, TX EventFIFO, RX FIFO0, RX FIFO1, RX Buffer. Note: If particular section in the RAM is not used then it's size should be initialized to '0' (Number of buffers in case of Tx/Rx buffer) </td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___revision_id__t.html" target="_self">MCAN_RevisionId_t</a></td><td class="desc">Data structure defines the accessing Revision ID and Core Release Info. of MCAN module </td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html" target="_self">MCAN_RxBufElement_t</a></td><td class="desc">Data structure defines the MCAN Rx Buffer element </td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___rx_f_i_f_o_status__t.html" target="_self">MCAN_RxFIFOStatus_t</a></td><td class="desc">Data structure defines the MCAN Rx FIFO Status </td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___rx_new_data_status__t.html" target="_self">MCAN_RxNewDataStatus_t</a></td><td class="desc">Data structure defines the MCAN new data flag for Rx buffer </td></tr>
<tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___std_msg_i_d_filter_element__t.html" target="_self">MCAN_StdMsgIDFilterElement_t</a></td><td class="desc">Data structure defines the MCAN Standard Message ID Filter Element </td></tr>
<tr id="row_30_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___tx_buf_element__t.html" target="_self">MCAN_TxBufElement_t</a></td><td class="desc">Data structure defines the MCAN Tx Buffer element </td></tr>
<tr id="row_31_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___tx_event_f_i_f_o_element__t.html" target="_self">MCAN_TxEventFIFOElement_t</a></td><td class="desc">Data structure defines the MCAN Tx Event FIFO element </td></tr>
<tr id="row_32_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___tx_event_f_i_f_o_status__t.html" target="_self">MCAN_TxEventFIFOStatus_t</a></td><td class="desc">Data structure defines the MCAN Tx Event FIFO Status </td></tr>
<tr id="row_33_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_m_c_a_n___tx_f_i_f_o_status__t.html" target="_self">MCAN_TxFIFOStatus_t</a></td><td class="desc">Data structure defines the MCAN Tx FIFO Status </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
